Skip to content

Get Webhook details ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get webhook details based on the specified webhookId

Method name ​

ManagementClient.get_webhook

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
webhookIdstringYes-Webhook ID6229ffaxxxxxxxxcade3e3d9

Request response ​

Type: GetWebhookRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a WebhookDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "webhookId": "6229ffaxxxxxxxxcade3e3d9",
    "createdAt": "2022-07-03T02:20:30.000Z",
    "updatedAt": "2022-07-03T02:20:30.000Z",
    "name": "User creation event",
    "url": "https://example.com/callback",
    "contentType": "application/json",
    "enabled": true,
    "events": "[\"user:created\"]",
    "secret": "xxxxxxxxxxxx"
  }
}

Data structure ​

WebhookDto ​

NameTypeIs it required?DescriptionSample value
webhookIdstringYesWebhook ID6229ffaxxxxxxxxcade3e3d9
createdAtstringYesCreation time2022-07-03T02:20:30.000Z
updatedAtstringYesUpdate time2022-07-03T02:20:30.000Z
namestringyesWebhook nameUser created event
urlstringyesWebhook callback addresshttps://example.com/callback
contentTypestringyesRequest data formatapplication/json
enabledbooleanyesEnabled or nottrue
eventsarraynoUser's real name, not unique. Example value: Zhang San["user:created"]
secretstringnoRequest keyxxxxxxxxxxxx